package web

import (
	"dc_golang_server_1/config"
	"dc_golang_server_1/logger"
	"fmt"
	"github.com/gin-gonic/gin"
)

func InitRouter() { //*gin.Engine{
	gin.SetMode(config.HttpServerMode)
	r := gin.New()
	r.Use(logger.HttpGinLog(), gin.Recovery())
	r.Use(Cors())     //全局跨域 局部跨域的话在路由组里面去添加
	r.Use(JwtToken()) //jwt 还是在对应需要token的路由组添加

	user := r.Group("user/")
	user.Use(JwtToken())
	{ // 需要token的
		//user.GET("users",GetUsers)
	}

	// 登录：用户名，密码，验证码 返回token 返回用户信息、账号、token、菜单权限
	//
	// 会员管理：
	//家长信息(ID，微信UNIONID,手机号,昵称,注册时间,最后一次登录时间,卡用户绑定状态)
	//学生信息(ID, 家长ID, 区域, 名字, 性别, 生日，年级，班级，学号，注册时间) 校区ID、家长ID、家长手机、学生名字

	// 基础数据
	// 区域

	//router := r.Group("web/")
	{
		//router.POST()
	}

	err := r.Run(config.HttpServerPort)
	if err != nil {
		panic(err)
	}
	fmt.Println("GAME OVER")
}
